Delete the session
curl --request DELETE \
--url https://{host}/api/sessions/{session} \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/sessions/{session}"
headers = {"apikey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/sessions/{session}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Session deleted successfully",
"session": "my-session"
}
Sessions
Delete Session
Completely remove a session
DELETE
/
api
/
sessions
/
{session}
Delete the session
Description
This endpoint completely removes a session from the system, including all its data, configurations and authentication. This action is irreversible. If you want to temporarily disconnect only, use the logout endpoint.URL Parameters
string
required
Unique session ID to be removed
{
"success": true,
"message": "Session deleted successfully",
"session": "my-session"
}
Status Codes
200- Session deleted successfully400- Invalid parameters404- Session not found
Usage Example
curl -X DELETE https://api.wappfy.com.br/api/sessions/my-session
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/sessions/${session}`, {
method: 'DELETE'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
response = requests.delete(f'https://api.wappfy.com.br/api/sessions/{session}')
data = response.json()
print(data)
⌘I
